ru.bitel.bgbilling.modules.qiwi.common.bean

## Class Constants

- java.lang.Object
- - ru.bitel.bgbilling.common.bean.BGBaseConstants
  - - ru.bitel.bgbilling.modules.qiwi.common.bean.Constants

-     public class Constants
      extends BGBaseConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KEY_QIWI_ADDITIONAL_IDENTIFY_KEY_PID` Название параметра конфигурации, в котором задается код параметра договора, в котором может хранится дополнительные идентификационные данные абонента.
    `static java.lang.String` | `KEY_QIWI_CHARGE_ID` Код типа расхода, которым осуществляется возврат денег.
    `static java.lang.String` | `KEY_QIWI_COMMENT` Название параметра конфигурации, в котором задается комментарий, выводимый абоненту при оплате счета на стороне Qiwi.
    `static java.lang.String` | `KEY_QIWI_LOGIN` Название параметра конфигурации, в котором задается идентификатор для авторизации запросов к серверу Qiwi.
    `static java.lang.String` | `KEY_QIWI_NOTIFICATION_PASSWORD` Название параметра конфигурации, в котором задается пароль для уведомлений со стороны Qiwi.
    `static java.lang.String` | `KEY_QIWI_PASSWORD` Название параметра конфигурации, в котором задается пароль для авторизации запросов к серверу Qiwi.
    `static java.lang.String` | `KEY_QIWI_PAYMENT_COMMENT` Название параметра конфигурации, в котором задается комментарий для добавляемого платежа.
    `static java.lang.String` | `KEY_QIWI_PAYMENT_TYPE_ID` Название параметра конфигурации, в котором задается код типа платежа из справочника типов платежей.
    `static java.lang.String` | `KEY_QIWI_PROTOCOL_VERSION` Название параметра конфигурации, в котором задается используемая версия протокола модуля.
    `static java.lang.String` | `KEY_QIWI_PROVIDER_NAME` Название параметра конфигурации, в котором задается название провайдера.
    `static java.lang.String` | `KEY_QIWI_SHOP_ID` Название параметра конфигурации, в котором задается идентификатор провайдера в системе Qiwi.
    `static java.lang.String` | `KEY_QIWI_SUM_MAX` Название параметра конфигурации, в котором задается максимальная сумма платежа.
    `static java.lang.String` | `KEY_QIWI_SUM_MIN` Название параметра конфигурации, в котором задается минимальная сумма платежа.
    `static java.lang.String` | `KEY_QIWI_URL_FAIL` Название параметра конфигурации, в котором задается url-адрес страницы, на которую будет перенаправлен абонент в случае неудачно оплаты выставленного счета.
    `static java.lang.String` | `KEY_QIWI_URL_GATE` Название параметра конфигурации, в котором задается адрес платежного шлюза Qiwi для SOAP-протокола.
    `static java.lang.String` | `KEY_QIWI_URL_SUCCESS` Название параметра конфигурации, в котором задается url-адрес страницы, на которую будет перенаправлен абонент в случае успешной оплаты выставленного счета.
    `static java.lang.String` | `QIWI_COMMENT` Значение комментария по умолчанию,который отправляется в qiwi для отображения абоненту на странице оплаты счета.
    `static java.lang.String` | `QIWI_PAYMENT_COMMENT` Значение по умолчанию для комментария платежа, который будет отображаться в клиенте биллинга.
    `static java.lang.String` | `QIWI_REST_URL` Url, используемый для обращения через REST-протокол
    `static int` | `QIWI_SUM_MAX` Значение по умолчанию для параметра `KEY_QIWI_SUM_MAX`, равное `BGBaseConstants.DEFAULT_SUM_MAX`.
    `static int` | `QIWI_SUM_MIN` Значение по умолчанию для параметра `KEY_QIWI_SUM_MIN`, равное `BGBaseConstants.DEFAULT_SUM_MIN`.
    `static java.lang.String` | `QIWI_URL_GATE` Значение по умолчанию для параметра `KEY_QIWI_URL_GATE`
    `static java.lang.String` | `REFUND_CHARACTERS` Список символов, из которых формируются refundId - идентификаторы для возврата денег.
    `static java.lang.String` | `REST_DATE_FORMAT` Формат даты актуальности выставленного счета.
    `static java.lang.String` | `REST_PROTOCOL` Константа с названием REST-протокола
    `static java.lang.String` | `SOAP_PROTOCOL` Константа с названием SOAP-протокола

    - ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

      `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### QIWI_SUM_MIN

          public static final int QIWI_SUM_MIN

      Значение по умолчанию для параметра `KEY_QIWI_SUM_MIN`, равное `BGBaseConstants.DEFAULT_SUM_MIN`.
      See Also:
        Constant Field Values

    - #### QIWI_SUM_MAX

          public static final int QIWI_SUM_MAX

      Значение по умолчанию для параметра `KEY_QIWI_SUM_MAX`, равное `BGBaseConstants.DEFAULT_SUM_MAX`.
      See Also:
        Constant Field Values

    - #### QIWI_COMMENT

          public static final java.lang.String QIWI_COMMENT

      Значение комментария по умолчанию,который отправляется в qiwi для отображения абоненту на странице оплаты счета.
      See Also:
        Constant Field Values

    - #### QIWI_URL_GATE

          public static final java.lang.String QIWI_URL_GATE

      Значение по умолчанию для параметра `KEY_QIWI_URL_GATE`
      See Also:
        Constant Field Values

    - #### QIWI_PAYMENT_COMMENT

          public static final java.lang.String QIWI_PAYMENT_COMMENT

      Значение по умолчанию для комментария платежа, который будет отображаться в клиенте биллинга.
      See Also:
        Constant Field Values

    - #### REST_PROTOCOL

          public static final java.lang.String REST_PROTOCOL

      Константа с названием REST-протокола
      See Also:
        Constant Field Values

    - #### SOAP_PROTOCOL

          public static final java.lang.String SOAP_PROTOCOL

      Константа с названием SOAP-протокола
      See Also:
        Constant Field Values

    - #### KEY_QIWI_PROTOCOL_VERSION

          public static final java.lang.String KEY_QIWI_PROTOCOL_VERSION

      Название параметра конфигурации, в котором задается используемая версия протокола модуля. Возможные значения:
      - rest - REST-версия протокола, предпочтительно к использованию.
      - soap - SOAP-версия протокола, устаревшая, не рекомендуется к использованию, но в целях совместимости используется в качестве значения по умолчанию
      See Also:
        Constant Field Values

    - #### KEY_QIWI_SUM_MIN

          public static final java.lang.String KEY_QIWI_SUM_MIN

      Название параметра конфигурации, в котором задается минимальная сумма платежа. Если значение не задано, то используется значение по умолчанию `QIWI_SUM_MIN`
      See Also:
        Constant Field Values

    - #### KEY_QIWI_SUM_MAX

          public static final java.lang.String KEY_QIWI_SUM_MAX

      Название параметра конфигурации, в котором задается максимальная сумма платежа. Если значение не задано, то используется значение по умолчанию `QIWI_SUM_MAX`
      See Also:
        Constant Field Values

    - #### KEY_QIWI_COMMENT

          public static final java.lang.String KEY_QIWI_COMMENT

      Название параметра конфигурации, в котором задается комментарий, выводимый абоненту при оплате счета на стороне Qiwi. Если значение не задано, то используется значение по умолчанию `QIWI_COMMENT`.
      See Also:
        Constant Field Values

    - #### KEY_QIWI_URL_FAIL

          public static final java.lang.String KEY_QIWI_URL_FAIL

      Название параметра конфигурации, в котором задается url-адрес страницы, на которую будет перенаправлен абонент в случае неудачно оплаты выставленного счета.
      See Also:
        Constant Field Values

    - #### KEY_QIWI_URL_SUCCESS

          public static final java.lang.String KEY_QIWI_URL_SUCCESS

      Название параметра конфигурации, в котором задается url-адрес страницы, на которую будет перенаправлен абонент в случае успешной оплаты выставленного счета.
      See Also:
        Constant Field Values

    - #### KEY_QIWI_PAYMENT_TYPE_ID

          public static final java.lang.String KEY_QIWI_PAYMENT_TYPE_ID

      Название параметра конфигурации, в котором задается код типа платежа из справочника типов платежей.
      See Also:
        Constant Field Values

    - #### KEY_QIWI_PAYMENT_COMMENT

          public static final java.lang.String KEY_QIWI_PAYMENT_COMMENT

      Название параметра конфигурации, в котором задается комментарий для добавляемого платежа. Возможно использование макроса `BGBaseConstants.PATTERN_TRANSACTION_ID`, который подставляет id транзакции из таблицы платежей модуля.
      See Also:
        Constant Field Values

    - #### KEY_QIWI_LOGIN

          public static final java.lang.String KEY_QIWI_LOGIN

      Название параметра конфигурации, в котором задается идентификатор для авторизации запросов к серверу Qiwi. Соответствует API ID.
      See Also:
        Constant Field Values

    - #### KEY_QIWI_PASSWORD

          public static final java.lang.String KEY_QIWI_PASSWORD

      Название параметра конфигурации, в котором задается пароль для авторизации запросов к серверу Qiwi. Соответствует парол
      See Also:
        Constant Field Values

    - #### KEY_QIWI_SHOP_ID

          public static final java.lang.String KEY_QIWI_SHOP_ID

      Название параметра конфигурации, в котором задается идентификатор провайдера в системе Qiwi. Соответствует параметру API ID в rest-протоколе.
      See Also:
        Constant Field Values

    - #### KEY_QIWI_ADDITIONAL_IDENTIFY_KEY_PID

          public static final java.lang.String KEY_QIWI_ADDITIONAL_IDENTIFY_KEY_PID

      Название параметра конфигурации, в котором задается код параметра договора, в котором может хранится дополнительные идентификационные данные абонента.
      See Also:
        Constant Field Values

    - #### KEY_QIWI_URL_GATE

          public static final java.lang.String KEY_QIWI_URL_GATE

      Название параметра конфигурации, в котором задается адрес платежного шлюза Qiwi для SOAP-протокола. Если значение не задано, то используется значение по умолчанию `QIWI_URL_GATE`.
      See Also:
        Constant Field Values

    - #### KEY_QIWI_NOTIFICATION_PASSWORD

          public static final java.lang.String KEY_QIWI_NOTIFICATION_PASSWORD

      Название параметра конфигурации, в котором задается пароль для уведомлений со стороны Qiwi. Настраивается в кабинете Qiwi.
      See Also:
        Constant Field Values

    - #### KEY_QIWI_PROVIDER_NAME

          public static final java.lang.String KEY_QIWI_PROVIDER_NAME

      Название параметра конфигурации, в котором задается название провайдера. Опционально. Отображается пользователю во время оплаты.
      See Also:
        Constant Field Values

    - #### KEY_QIWI_CHARGE_ID

          public static final java.lang.String KEY_QIWI_CHARGE_ID

      Код типа расхода, которым осуществляется возврат денег.
      See Also:
        Constant Field Values

    - #### REST_DATE_FORMAT

          public static final java.lang.String REST_DATE_FORMAT

      Формат даты актуальности выставленного счета. По ISO 8601
      See Also:
        Constant Field Values

    - #### QIWI_REST_URL

          public static final java.lang.String QIWI_REST_URL

      Url, используемый для обращения через REST-протокол
      See Also:
        Constant Field Values

    - #### REFUND_CHARACTERS

          public static final java.lang.String REFUND_CHARACTERS

      Список символов, из которых формируются refundId - идентификаторы для возврата денег.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()